id: reddit-phish

info:
  name: reddit phishing Detection
  author: rxerium
  severity: info
  description: |
    A reddit phishing website was detected
  reference:
    - https://reddit.com
  metadata:
    max-request: 1
  tags: phishing,reddit,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Reddit - Dive into anything'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"reddit.com")'
# digest: 4a0a00473045022100c84e2102492581030196387bafea240db392149b634acd85b314132e4d9144dc022001e592213b909d4faa927badd71bf9751a88e51b8ecab1acab62ea186bfe6c0e:922c64590222798bb761d5b6d8e72950